<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header bg-danger">
          <i class="fa fa-align-justify"></i> Critical Items
        </div>
        <div class="card-body">
          <div class="m-3">
            <div class="container">
              <div class="row justify-content-md-center">
                <div class="col-sm-6 col-md-3 col-lg-3 my-1">
                  <button (click)="getAllRecords()" class="btn btn-warning btn-block" type="button">
                    <i aria-hidden="true" class="fa fa-refresh"></i>Refresh</button>
                </div>
                <div class="col-sm-12 col-md-3 col-lg-3 my-1">
                  <button (click)="openModal(1, modal, null)" class="btn btn-primary btn-block" type="button">
                    <i aria-hidden="true" class="fa fa-plus"></i>Add</button>
                </div>
              </div>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-bordered table-striped">
              <thead class="bg-aeroman-gray">
              <tr class="text-white">
                <th>Aircraft</th>
                <th>Work Order</th>
                <th>Critical Item</th>
                <th>Planned TAT Impact</th>
                <th>Mitigation Plan</th>
                <th>Responsible</th>
                <th>Status</th>
                <th>Status Final</th>
                <th>Options</th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let element of this.records | paginate: configPage">
                <td>{{ element.aircraft }}</td>
                <td>{{ element.workOrder }}</td>
                <td>{{ element.criticalPath }}</td>
                <td>{{ element.tatImpact }}</td>
                <td>{{ element.mitigationPlan }}</td>
                <td>{{ element.responsible }}</td>
                <td *ngIf="element.status === 'L'">Late</td>
                <td *ngIf="element.status === 'M'">Mitigated</td>
                <td *ngIf="element.status === 'A'">At Risk</td>
                <td *ngIf="element.statusFinal === 'L'">Late</td>
                <td *ngIf="element.statusFinal === 'M'">Mitigated</td>
                <td *ngIf="element.statusFinal === 'A'">At Risk</td>
                <td class="text-center">
                  <i (click)="openModal(2, modal, element)" class="fa fa-pencil-square-o fa-2x text-primary" title="Editar"></i>
                  <i (click)="confirmation(element.id, deleteModal)" class="fa fa-times fa-2x text-danger" title="Eliminar"></i>
                </td>
              </tr>
              </tbody>
            </table>
          </div>

          <div class="container">
            <div class="row justify-content-md-center">
              <div class="col-12 col-md-6" [hidden]="records.length === 0" >
                <pagination-controls
                  (pageChange)="onPageChange($event)"
                  [id]="configPage.id"
                  [nextLabel]="'Siguiente'"
                  [previousLabel]="'Anterior'">
                </pagination-controls>
              </div>
              <div class="col-12 col-md-6">
                  <label class="control">Records to show:
                    <input [(ngModel)]="configPage.itemsPerPage" class="input" min="1" style="width: 25%; text-align: center;" type="number">
                  </label>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/.col-->
  </div>
  <!--/.row-->
</div>

<ng-template #modal>
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">{{ this.titleModal }}</h5>
    </div>
    <form (ngSubmit)="submitForm()" [formGroup]="criticalForm">
      <div class="modal-body">
        <div class="row">

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Company:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select class="form-control" formControlName="company" (change)="getCustomers()">
                    <option *ngFor="let item of companies" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Customer:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select class="form-control" formControlName="customer" (change)="getAircraft()">
                    <option *ngFor="let item of customers" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 1">
            <div class="form-group">
              <label class="col-form-label">Aircraft:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select class="form-control" formControlName="aircraft" (change)="setWorkOrder()">
                    <option *ngFor="let item of aeroplanes" value="{{item.aircraft}}">{{item.aircraft}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6" *ngIf="typeAction === 2">
            <div class="form-group">
              <label class="col-form-label">Aircraft:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="aircraft" readonly [readOnly]="true" type="text">
                </div>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Work Order:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="workOrder" [readOnly]="true" readonly type="text">
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Critical Items:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="criticalPath" type="text">
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Planned TAT Impact:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="tatImpact" type="text" mask="separator.1" thousandSeparator=",">
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Mitigation Plan:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <input class="form-control" formControlName="mitigationPlan" type="text">
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Responsible:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select class="form-control" formControlName="responsible">
                    <option *ngFor="let item of catalogResponsible" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
          <div class="col-12 col-md-6">
            <div class="form-group">
              <label class="col-form-label">Status:</label>
              <div class="controls">
                <div class="input-prepend input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                  </div>
                  <select class="form-control" formControlName="status">
                    <option *ngFor="let item of catalogStatus" value="{{item.value}}">{{item.label}}</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="modal-footer">
        <button *ngIf="typeAction === 1" class="btn btn-primary rounded" type="submit">
          <i aria-hidden="true" class="fa fa-plus"></i>Save</button>
        <button *ngIf="typeAction === 2" class="btn btn-primary rounded" type="submit">
          <i aria-hidden="true" class="fa fa-plus"></i>Update</button>
        <button (click)="closeModal()" class="btn btn-danger rounded" data-dismiss="modal" type="button">
          <i aria-hidden="true" class="fa fa-close"></i> Cancel</button>
      </div>
    </form>
  </div>
</ng-template>

<ng-template #deleteModal>
  <div class="modal-content">
    <div class="modal-header">
      <h5 class="modal-title">Confirmation</h5>
    </div>

    <div class="modal-body">
      <h4 class="text-center">Are you sure to delete the record??</h4>
    </div>

    <div class="modal-footer">
      <button (click)="delete()" class="btn btn-danger rounded" type="button">
        <i aria-hidden="true" class="fa fa-plus"></i>
        Accept
      </button>
      <button (click)="closeModal()" class="btn btn-info rounded" data-dismiss="modal" type="button">
        <i aria-hidden="true" class="fa fa-close"></i> Cancel
      </button>
    </div>
  </div>
</ng-template>
